function writessp(name,z,range,c)
% function writessp(name,z,range,c)
%
% Writes out a sound speed file "name" in a format 
% than can be used for ray tracing.
%
% Depth in m, positive down
% Range in km
% Sound speed in m/s
%
% If size(z)=Nz, size(range)=Nprof, then c(Nz,Nprof).

[m n]=size(c);

Nprof=length(range);
Nz=length(z);

if (n ~= Nprof) | (m ~= Nz),
   disp('In writessp:  Error in ssp write input.')
   return
end

fidSSP = fopen (name, 'w');

  for k = 1:Nprof,
     fprintf (fidSSP, '-1 %11.3f\n', range(k));
     for l=1:Nz,
       fprintf (fidSSP, '%6.1f %10.2f\n', z(l), c(l,k));
     end
  end

fclose (fidSSP);

return

