      subroutine getc(z,c,deltaX,iprof)
      implicit double precision (a-h,o-z)
c
c  Given z, this routine uses etab to calculate the value of c at z.
c
c  This routine is used to calculate ds/c^2 in dodeint.f
c
c  Brian Dushaw
c  Applied Physics Laboratory 
c  University of Washington
c  Seattle, WA 98105
c  (206) 543-1300
c  dushaw@apl.washington.edu
c
c  EIGENRAY Version 3.4
c  September-December 1998
c  Last updated November 2012

      include 'nssp.h'
      include 'table.h'
      include 'constants.h'
      double precision deltaX

c truncate z to get its index to etab
      ii=int(xinv_depth_inc*z)
c ii will always be less than z
      dz=z-tab(ii)
      dz2=dz*half
      dz3=dz*third

       x1=etab(1,ii,iprof)
       x2=etab(2,ii,iprof)
       x3=etab(3,ii,iprof)
       x4=etab(4,ii,iprof)
c get sound speed
       c = ((x4*dz3 + x3)*dz2+x2)*dz+x1

c get horizontal gradients
       x1=etab(1,ii,iprof+1)
       x2=etab(2,ii,iprof+1)
       x3=etab(3,ii,iprof+1)
       x4=etab(4,ii,iprof+1)
       cp = ((x4*dz3 + x3)*dz2+x2)*dz+x1

       C1=(cp-c)*xinvr(iprof)

c final sound speed
       c = c + deltaX*C1

      return
      end
